### experimental::promise< void(Ts...), Executor >

    template<
        typename... Ts,
        typename Executor>
    struct promise< void(Ts...), Executor >

##### Member Functions

Name | Description
--- | ---
all [static] |
async_wait |
cancel |
complete |
get_executor |
promise |
race [static] |
~promise [destructor] |

##### Requirements

Header: `asio/experimental/promise.hpp`

Convenience header: None